Bug 1030840 - pound: TLS CRIME attack
pound: TLS CRIME attack
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131023,repor...
: Security
Depends On: 1030843 1030844
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 04:38 EST by Ratul Gupta
Modified: 2015-07-05 15:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-05 15:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-15 04:38:25 EST
Pound, a reverse proxy, load balancer and HTTPS front-end for Web servers, is found to have the TLS compression enabled, which makes possible a practical attack CRIME, and there is no option to disable the TLS compression.

Some explanations and a possible patch is given here:
https://community.qualys.com/blogs/securitylabs/2012/09/14/crime-information-leakage-attack-against-ssltls

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=727197

Commit:
https://github.com/goochjj/pound/commit/a0c52c542ca9620a96750f9877b26bf4c84aef1b
Comment 1 Ratul Gupta 2013-11-15 04:39:53 EST
Created Pound tracking bugs for this issue:

Affects: fedora-all [bug 1030843]
Affects: epel-all [bug 1030844]
Comment 2 Tomas Hoger 2013-11-15 04:55:58 EST
This should not be an issue in Fedora or EPEL any more.  OpenSSL packages in Fedora and Red Hat Enterprise Linux 5 and 6 used to default to having compression enabled by default, but that was changed and compression it not enabled by default any more:

http://pkgs.fedoraproject.org/cgit/openssl.git/commit/?id=169c3a0
https://rhn.redhat.com/errata/RHSA-2013-0587.html

There is an option to enable compression by setting OPENSSL_DEFAULT_ZLIB environment variable.

If using older openssl packages, compression can be disabled using OPENSSL_NO_DEFAULT_ZLIB environment variable - see bug 857051 comment 5 for further details.
Comment 4 manuel wolfshant 2015-07-05 15:43:29 EDT
This was solved 10 months ago. Closing.

Note You need to log in before you can comment on or make changes to this bug.